Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisDecodedOperand_ Struct Reference

Defines the ZydisDecodedOperand struct. More...

`#include <DecoderTypes.h>`

## Data Fields
ZyanU8 | id
| The operand-id.
ZydisOperandVisibility | visibility
| The visibility of the operand.
ZydisOperandActions | actions
| The operand-actions.
ZydisOperandEncoding | encoding
| The operand-encoding.
ZyanU16 | size
| The logical size of the operand (in bits).
ZydisElementType | element_type
| The element-type.
ZydisElementSize | element_size
| The size of a single element.
ZyanU16 | element_count
| The number of elements.
ZydisOperandAttributes | attributes
ZydisOperandType | type
| The type of the operand.
union { |
ZydisDecodedOperandReg reg |
ZydisDecodedOperandMem mem |
ZydisDecodedOperandPtr ptr |
ZydisDecodedOperandImm imm |
}; |

## Detailed Description

Defines the ZydisDecodedOperand struct.

## Field Documentation

## ◆ [union]

union { ... }

## ◆ actions

ZydisOperandActions actions

The operand-actions.

## ◆ attributes

ZydisOperandAttributes attributes

## ◆ element_count

ZyanU16 element_count

The number of elements.

## ◆ element_size

ZydisElementSize element_size

The size of a single element.

## ◆ element_type

ZydisElementType element_type

The element-type.

## ◆ encoding

ZydisOperandEncoding encoding

The operand-encoding.

## ◆ id

ZyanU8 id

The operand-id.

## ◆ imm

ZydisDecodedOperandImm imm

## ◆ mem

ZydisDecodedOperandMem mem

## ◆ ptr

ZydisDecodedOperandPtr ptr

## ◆ reg

ZydisDecodedOperandReg reg

## ◆ size

ZyanU16 size

The logical size of the operand (in bits).

## ◆ type

ZydisOperandType type

The type of the operand.

## ◆ visibility

ZydisOperandVisibility visibility

The visibility of the operand.

The documentation for this struct was generated from the following file:

- include/Zydis/DecoderTypes.h